#!/usr/bin/env python

class CMD:
    DS485D_CMD_SYNC =              0x00
    DS485D_CMD_API_REVISION   =    0x01
    DS485D_CMD_PING =              0x02
    DS485D_CMD_TX_PACKET    =   0x03
    DS485D_CMD_RX_PACKET    =   0x04
    DS485D_CMD_DEVICE_PACKET =  0x05
    DS485D_CMD_REGISTER      =     0x10
    DS485D_CMD_UNREGISTER    =   0x11
    DS485D_CMD_PACKETFILTER  =     0x12
    DS485D_CMD_RAWMODE       =    0x13
    DS485D_CMD_QUERY_DEVICES =  0x20
    DS485D_CMD_QUERY_DSUID   =   0x21
    DS485D_CMD_QUERY_ADDRESS =  0x22
    DS485D_CMD_QUERY_BUSSTATE = 0x23
    DS485D_CMD_BUS_CHANGE    =  0x24
    DS485D_CMD_BUS_STATE     =  0x25
    DS485D_CMD_RESTART_BUS   =  0x26

class BusState:
    DS485_STATE_ISOLATED =  1
    DS485_STATE_JOIN =      2
    DS485_STATE_CONNECTED = 3
    DS485_STATE_ACTIVE =    4
    DS485_STATE_DISCONNECTED =  5

# ds485.h
class ContainerType:
    Request = 1
    Response = 2
    Event = 3

class ContainerFlags:
    None_ = 1
    Broadcast = 2


if __name__ == "__main__":
    print createDsmId()
    print createDsmId()
