#!/usr/bin/env python
from dsmapi2 import *
from ds_exceptions import *

broadcast_adr = [ 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff]

def initLib(connectString):
    h = DsmApiInitialize()
    ret = DsmApiOpen(h, connectString, 0)
    if ret < 0:
        raise createDsException(ret, "DsmApiOpen failed")
    return h

def cleanupLib(h):
    DsmApiClose(h)
    DsmApiCleanup(h)

def list2str(dsid):
    return ":".join(map(lambda x: "%02X" % x, dsid))

if __name__=="__main__":
    c = list(broadcast_adr)
    assert(c == Dsid.broadcast)
    c[5] = 0x7f
    assert(c != Dsid.broadcast)
